%define upstream_name accept-types

Name:           python-%{upstream_name}
Version:        0.4.1
Release:        %mkrel 2
Summary:        Determine the best content to send in an HTTP response
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/accept-types/
Source0:        https://files.pythonhosted.org/packages/5c/61/1c8f5fd3184bc270dd67ccab3b4abb1c663840178642591a4241d70c7381/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
accept-types helps your application respond to a HTTP request in a way that a
client prefers. The Accept header of an HTTP request informs the server which
MIME types the client is expecting back from this request, with weighting to
indicate the most prefered. If your server can respond in multiple formats
(e.g.: JSON, XML, HTML), the client can easily tell your server which is the
prefered format without resorting to hacks like ‘&amp;format=json’ on the end
of query strings.

%package -n     python3-%{upstream_name}
Summary:        Determine the best content to send in an HTTP response
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
accept-types helps your application respond to a HTTP request in a way that a
client prefers. The Accept header of an HTTP request informs the server which
MIME types the client is expecting back from this request, with weighting to
indicate the most prefered. If your server can respond in multiple formats
(e.g.: JSON, XML, HTML), the client can easily tell your server which is the
prefered format without resorting to hacks like ‘&amp;format=json’ on the end
of query strings.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/accept_types
%{python3_sitelib}/accept_types-%{version}-*.egg-info


%changelog
* Thu Jul 16 2020 pterjan <pterjan> 0.4.1-2.mga8
+ Revision: 1606593
- Rebuild to use python3dist instead of pythonegg(3) in BuildRequires

* Sat Apr 18 2020 guillomovitch <guillomovitch> 0.4.1-1.mga8
+ Revision: 1569109
- new version 0.4.1

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-3.mga8
+ Revision: 1532716
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.3.0-2.mga8
+ Revision: 1442892
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.3.0-1.mga8
+ Revision: 1417016
- imported package python-accept-types

